CLASS Logfile_Base
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"0");
    2: ATTR(=,"hostname");
    3: ATTR(=,"date");
    4: ATTR(=,"origin");
    5: ATTR(=,"msg");
  MAP
    hostname = $V2;
    date = $V3;
    origin = $V4;
    msg = $V5;
END
CLASS Logfile_Login
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"1");
    2: ATTR(=,"hostname");
    3: ATTR(=,"date");
    4: ATTR(=,"origin");
    5: ATTR(=,"msg");
  MAP
    hostname = $V2;
    date = $V3;
    origin = $V4;
    msg = $V5;
    sub_source = "login";
END
CLASS Root_Login
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"2");
    2: ATTR(=,"hostname");
    3: ATTR(=,"date");
    4: ATTR(=,"origin");
    5: ATTR(=,"msg");
  MAP
    hostname = $V2;
    date = $V3;
    origin = $V4;
    msg = $V5;
    sub_source = "login";
END
CLASS Root_Login_Success
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"3");
    2: ATTR(=,"hostname");
    3: ATTR(=,"date");
    4: ATTR(=,"origin");
    5: ATTR(=,"on_tty");
  MAP
    hostname = $V2;
    date = $V3;
    origin = $V4;
    msg = PRINTF("root login %s", $V5);
    sub_source = "login";
    on_tty = $V5;
END
CLASS Root_Login_Success_From
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"4");
    2: ATTR(=,"hostname");
    3: ATTR(=,"date");
    4: ATTR(=,"origin");
    5: ATTR(=,"on_tty");
    6: ATTR(=,"from_host");
  MAP
    hostname = $V2;
    date = $V3;
    origin = $V4;
    msg = PRINTF("root login from %s", $V6);
    sub_source = "login";
    on_tty = $V5;
    from_host = $V6;
END
CLASS Root_Login_Failure
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"5");
    2: ATTR(=,"hostname");
    3: ATTR(=,"date");
    4: ATTR(=,"origin");
    5: ATTR(=,"msg");
  MAP
    hostname = $V2;
    date = $V3;
    origin = $V4;
    msg = $V5;
    sub_source = "login";
END
CLASS Root_Login_Failure_From
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"6");
    2: ATTR(=,"hostname");
    3: ATTR(=,"date");
    4: ATTR(=,"origin");
    5: ATTR(=,"from_host");
  MAP
    hostname = $V2;
    date = $V3;
    origin = $V4;
    msg = PRINTF("root login failed from %s", $V5);
    sub_source = "login";
    from_host = $V5;
END
CLASS Repeated_Login_Failure
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"7");
    2: ATTR(=,"hostname");
    3: ATTR(=,"date");
    4: ATTR(=,"origin");
    5: ATTR(=,"msg");
  MAP
    hostname = $V2;
    date = $V3;
    origin = $V4;
    msg = $V5;
    sub_source = "login";
END
CLASS Repeated_Login_Failure_From
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"8");
    2: ATTR(=,"hostname");
    3: ATTR(=,"date");
    4: ATTR(=,"origin");
    5: ATTR(=,"from_host");
  MAP
    hostname = $V2;
    date = $V3;
    origin = $V4;
    msg = PRINTF("repeated login failure from %s", $V5);
    sub_source = "login";
    from_host = $V5;
END
CLASS Logfile_Passwd
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"9");
    2: ATTR(=,"hostname");
    3: ATTR(=,"date");
    4: ATTR(=,"origin");
  MAP
    hostname = $V2;
    date = $V3;
    origin = $V4;
    msg = PRINTF("password for %s", $V4);
    sub_source = "passwd";
END
CLASS Logfile_Su
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"10");
    2: ATTR(=,"hostname");
    3: ATTR(=,"date");
    4: ATTR(=,"origin");
    5: ATTR(=,"msg");
  MAP
    hostname = $V2;
    date = $V3;
    origin = $V4;
    msg = $V5;
    sub_source = "su";
END
CLASS Su_Success
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"11");
    2: ATTR(=,"hostname");
    3: ATTR(=,"date");
    4: ATTR(=,"origin");
    5: ATTR(=,"to_user");
    6: ATTR(=,"from_user");
  MAP
    hostname = $V2;
    date = $V3;
    origin = $V4;
    msg = PRINTF("su success: %s->%s", $V6, $V5);
    sub_source = "su";
    to_user = $V5;
    from_user = $V6;
END
CLASS Su_Failure
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"12");
    2: ATTR(=,"hostname");
    3: ATTR(=,"date");
    4: ATTR(=,"origin");
    5: ATTR(=,"from_user");
    6: ATTR(=,"to_user");
  MAP
    hostname = $V2;
    date = $V3;
    origin = $V4;
    msg = PRINTF("su failure: %s->%s", $V5, $V6);
    from_user = $V5;
    to_user = $V6;
END
CLASS Logfile_Automount
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"13");
    2: ATTR(=,"hostname");
    3: ATTR(=,"date");
    4: ATTR(=,"origin");
    5: ATTR(=,"msg");
    6: ATTR(=,"pid");
  MAP
    hostname = $V2;
    date = $V3;
    origin = $V4;
    msg = $V5;
    pid = $V6;
    sub_source = "automount";
END
CLASS Logfile_Amd
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"14");
    2: ATTR(=,"hostname");
    3: ATTR(=,"date");
    4: ATTR(=,"origin");
    5: ATTR(=,"msg");
    6: ATTR(=,"pid");
  MAP
    hostname = $V2;
    date = $V3;
    origin = $V4;
    msg = $V5;
    pid = $V6;
    sub_source = "amd";
END
CLASS Logfile_Cron
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"15");
    2: ATTR(=,"hostname");
    3: ATTR(=,"date");
    4: ATTR(=,"origin");
    5: ATTR(=,"msg");
  MAP
    hostname = $V2;
    date = $V3;
    origin = $V4;
    msg = $V5;
    sub_source = "cron";
END
CLASS Logfile_Ftpd
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"16");
    2: ATTR(=,"hostname");
    3: ATTR(=,"date");
    4: ATTR(=,"origin");
    5: ATTR(=,"msg");
    6: ATTR(=,"pid");
  MAP
    hostname = $V2;
    date = $V3;
    origin = $V4;
    msg = $V5;
    pid = $V6;
    sub_source = "ftpd";
END
CLASS Logfile_Snmpd
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"17");
    2: ATTR(=,"hostname");
    3: ATTR(=,"date");
    4: ATTR(=,"origin");
    5: ATTR(=,"msg");
  MAP
    hostname = $V2;
    date = $V3;
    origin = $V4;
    msg = $V5;
    sub_source = "snmpd";
END
CLASS Logfile_Named
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"18");
    2: ATTR(=,"hostname");
    3: ATTR(=,"date");
    4: ATTR(=,"origin");
    5: ATTR(=,"msg");
    6: ATTR(=,"pid");
  MAP
    hostname = $V2;
    date = $V3;
    origin = $V4;
    msg = $V5;
    pid = $V6;
    sub_source = "named";
END
CLASS Logfile_Rlogind
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"19");
    2: ATTR(=,"hostname");
    3: ATTR(=,"date");
    4: ATTR(=,"origin");
    5: ATTR(=,"msg");
    6: ATTR(=,"pid");
  MAP
    hostname = $V2;
    date = $V3;
    origin = $V4;
    msg = $V5;
    pid = $V6;
    sub_source = "rlogind";
END
CLASS Logfile_Telnetd
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"20");
    2: ATTR(=,"hostname");
    3: ATTR(=,"date");
    4: ATTR(=,"origin");
    5: ATTR(=,"msg");
    6: ATTR(=,"pid");
  MAP
    hostname = $V2;
    date = $V3;
    origin = $V4;
    msg = $V5;
    pid = $V6;
    sub_source = "telnetd";
END
CLASS Logfile_Inetd
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"21");
    2: ATTR(=,"hostname");
    3: ATTR(=,"date");
    4: ATTR(=,"origin");
    5: ATTR(=,"msg");
  MAP
    hostname = $V2;
    date = $V3;
    origin = $V4;
    msg = $V5;
    sub_source = "inetd";
END
CLASS Logfile_Mountd
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"22");
    2: ATTR(=,"hostname");
    3: ATTR(=,"date");
    4: ATTR(=,"origin");
    5: ATTR(=,"msg");
  MAP
    hostname = $V2;
    date = $V3;
    origin = $V4;
    msg = $V5;
    sub_source = "rpc.mountd";
END
CLASS Logfile_Rstatd
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"23");
    2: ATTR(=,"hostname");
    3: ATTR(=,"date");
    4: ATTR(=,"origin");
    5: ATTR(=,"msg");
  MAP
    hostname = $V2;
    date = $V3;
    origin = $V4;
    msg = $V5;
    sub_source = "rstatd";
END
CLASS Logfile_Syslogd
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"24");
    2: ATTR(=,"hostname");
    3: ATTR(=,"date");
    4: ATTR(=,"origin");
    5: ATTR(=,"msg");
  MAP
    hostname = $V2;
    date = $V3;
    origin = $V4;
    msg = $V5;
    sub_source = "syslogd";
END
CLASS Logfile_Lpd
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"25");
    2: ATTR(=,"hostname");
    3: ATTR(=,"date");
    4: ATTR(=,"origin");
    5: ATTR(=,"msg");
  MAP
    hostname = $V2;
    date = $V3;
    origin = $V4;
    msg = $V5;
    sub_source = "lpd";
END
CLASS Logfile_Xntpd
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"26");
    2: ATTR(=,"hostname");
    3: ATTR(=,"date");
    4: ATTR(=,"origin");
    5: ATTR(=,"msg");
  MAP
    hostname = $V2;
    date = $V3;
    origin = $V4;
    msg = $V5;
    sub_source = "xntpd";
END
CLASS Logfile_Sendmail
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"27");
    2: ATTR(=,"hostname");
    3: ATTR(=,"date");
    4: ATTR(=,"origin");
    5: ATTR(=,"msg");
  MAP
    hostname = $V2;
    date = $V3;
    origin = $V4;
    msg = $V5;
    sub_source = "sendmail";
END
CLASS Logfile_Kernel
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"28");
    2: ATTR(=,"hostname");
    3: ATTR(=,"date");
    4: ATTR(=,"origin");
    5: ATTR(=,"msg");
  MAP
    hostname = $V2;
    date = $V3;
    origin = $V4;
    msg = $V5;
    sub_source = "unix";
END
CLASS Logfile_Reboot
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"29");
    2: ATTR(=,"hostname");
    3: ATTR(=,"date");
    4: ATTR(=,"origin");
    5: ATTR(=,"by");
  MAP
    hostname = $V2;
    date = $V3;
    origin = $V4;
    msg = PRINTF("%s rebooted by %s", $V2, $V5);
    by = $V5;
    sub_source = "reboot";
END
CLASS *DISCARD*
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"30");
END
CLASS *DISCARD*
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"31");
  MAP
    dummy = "dummy";
END
